/*
 * 
 * '________________________________________________________________

'USING NOTIFY ICONS, CONTEXT MENUS, & GOOGLE SEARCH STRINGS

'                                        Ron Kessler

'                                   Created 10/10/08
'________________________________________________________________

'Add a notifyicon component from the toolbox
'Add a process component from the toolbox
'Add a ContextMenuStrip from the toolbox

'Look closely at the properties for the notifyicon and menu strip to see how I made them

'When you run this app. make sure to resize VS a little so you can see the task bar. When you type
'in a search string, a little balloon will appear for about 2 secs in the System Tray and you will see
'a search icon. If you rt. click on this icon, you can exit the application. If you move the mouse over
'the icon in the tray, you will see a tooltip.

'I use a property to hold the search string instead of a class-level variable.
 */





using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

namespace NotifyIcon_and_Google_Search
{
    public partial class frmMain : Form
    {
        public frmMain()
        {
            InitializeComponent();
        }

        private string _String2Find;
               
	    public string SearchString
	    {
		    get
            {
                return _String2Find;
            }
		    set
            {
                _String2Find = value;
            }
	    }
	
        

        private void btnSearch_Click(object sender, EventArgs e)
        {
            this.SearchString = txtSearch.Text.Trim();

            if ( this.SearchString.Trim().Length > 0)
            {
                NotifyIcon1.ShowBalloonTip(2);
                 Process1.StartInfo.FileName = ("http://www.google.com/search?q=" + this.SearchString + "&rls=com.microsoft:en-us&ie=UTF-8&oe=UTF-8&startIndex=&startPage=1");
                 Process1.Start();
                
            }

        }

        private void CloseAll()
       {
            NotifyIcon1.Visible = false;
            NotifyIcon1.ShowBalloonTip(0);

        //---now find all the instances of IE that are running. You can use this for any program!
        Process[] theProcesses = System.Diagnostics.Process.GetProcessesByName("Iexplore");

        //'---cycle through them and find the one where my search string shows up in the IE title bar
        //'---I am using the Instr (InString) function. It searches a string within a string and returns an
        //'   integer which indicates the first position in the string being searched where it found a match
        //'If the value is >0 then it found it.

        foreach (Process currentProcess in theProcesses)
            {

                int position = currentProcess.MainWindowTitle.IndexOf(this.SearchString);
                if (position >= 0 )
                    currentProcess.Kill();
                   
            }
            Application.Exit();
    
        }

        private void btnQuit_Click(object sender, EventArgs e)
        {
            CloseAll();
        }
    }
}